import { EventEmitter, OnChanges, SimpleChanges, OnInit } from "@angular/core";
import { DomSanitizer } from '@angular/platform-browser';
import { BreakpointObserver } from "@angular/cdk/layout";
export declare class AngularDraggableWidgetComponent implements OnChanges, OnInit {
    private sanitizer;
    onOpen: EventEmitter<{}>;
    onClose: EventEmitter<{}>;
    onMinimize: EventEmitter<{}>;
    onDragStart: EventEmitter<{}>;
    onDragEnd: EventEmitter<{}>;
    onDragMoved: EventEmitter<{}>;
    onDragReleased: EventEmitter<{}>;
    onWidgetDClicked: EventEmitter<{}>;
    isOpened: boolean;
    isDraggable: boolean;
    isMinimizable: boolean;
    title: string;
    xPosition?: string;
    yPosition?: string;
    zIndex?: number;
    iconImageSrc?: string;
    safeIconImageSrc: any;
    isMinimized: boolean;
    isSmallScreen: boolean;
    constructor(breakpointObserver: BreakpointObserver, sanitizer: DomSanitizer);
    ngOnInit(): void;
    ngOnChanges(event: SimpleChanges): void;
    dragStart(event: any): void;
    dragEnd(event: any): void;
    dragMoved(event: any): void;
    widgetDClicked(event: any): void;
    dragReleased(event: any): void;
    close(event: any): void;
    widgetMinimized(event: any): void;
}
